<div *ngIf="messagesList$">
  <ul>
    <li *ngFor="let message of messagesList$ | async; let i = index">
      {{message.text}} &nbsp; <small>às {{message.date | date: 'dd/MM/yyyy HH:mm'}} <button (click)="onDeleteClick(i)">delete</button></small>
    </li>
  </ul>

</div>
<div>
  <input type="text" [(ngModel)]="messageText">
  <button (click)="onSendClick()">hey</button>
</div>
